onEvent('recipes', event => {


event.recipes.createSequencedAssembly([ // start
 Item.of('create:precision_mechanism')
], 'create:brass_sheet', [ // 'create:brass_ingot' is the input. 

 event.recipes.createDeploying('extendedcrafting:black_iron_ingot', ['extendedcrafting:black_iron_ingot', 'extendedcrafting:black_iron_ingot']), 
 event.recipes.createDeploying('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'create:cogwheel']),  //'create:incomplete_precision_mechanism'
 event.recipes.createDeploying('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'minecraft:iron_nugget']) 
]).transitionalItem('create:incomplete_precision_mechanism').loops(5) // set the transitional item and the loops (amount of repetitions)
	


	
    let t = 'kubejs:cake_mould'
	event.recipes.createSequencedAssembly([
		'kubejs:advanced_alga_essences_cake',
	], 'kubejs:cake_mould', [
		event.recipes.createFilling(t, [t, Fluid.of('create:honey', 150)]),
		event.recipes.createFilling(t, [t, Fluid.of('kubejs:alga_essences', 500)]),
		event.recipes.createFilling(t, [t, Fluid.of('kubejs:advanced_alga_essences', 250)])
	]).transitionalItem(t)
		.loops(3)
	event.recipes.createSequencedAssembly([
			'kubejs:advanced_alga_essences_cake',
		], 'kubejs:cake_mould', [
			event.recipes.createFilling(t, [t, Fluid.of('productivebees:honey', 150)]),  
			event.recipes.createFilling(t, [t, Fluid.of('kubejs:alga_essences', 500)]),
			event.recipes.createFilling(t, [t, Fluid.of('kubejs:advanced_alga_essences', 250)])
		]).transitionalItem(t)
			.loops(3)
	event.recipes.createSequencedAssembly([
				'kubejs:advanced_alga_essences_cake',
			], 'kubejs:cake_mould', [
				event.recipes.createFilling(t, [t, Fluid.of('cyclic:honey', 150)]),  
				event.recipes.createFilling(t, [t, Fluid.of('kubejs:alga_essences', 500)]),
				event.recipes.createFilling(t, [t, Fluid.of('kubejs:advanced_alga_essences', 250)])
			]).transitionalItem(t)
				.loops(3)
		//.id('pamhc2foodcore:chocolatecakeitem')





event.recipes.createMixing(Fluid.of('kubejs:rose_quartz', 1000), [
		'create:rose_quartz',
		Fluid.of('minecraft:lava', 500),
		'#forge:ingots'
	]).processingTime(30)





	
	event.recipes.createSequencedAssembly([
		'create:polished_rose_quartz',
	], 'create:rose_quartz', [
		event.recipes.createFilling('create:rose_quartz', ['create:rose_quartz', Fluid.of('kubejs:rose_quartz', 100)]),
		event.recipes.createFilling('create:rose_quartz', ['create:rose_quartz', Fluid.of('minecraft:lava', 100)]),
		//event.recipes.createDeploying('create:polished_rose_quartz', ['create:polished_rose_quartz', 'create:polished_rose_quartz']) 
		event.recipes.createPressing('create:polished_rose_quartz', 'create:polished_rose_quartz').processingTime(30)

	]).transitionalItem('create:rose_quartz')
		.loops(2)







event.remove({output: 'create:electron_tube'})	
	event.recipes.createSequencedAssembly([
		'create:electron_tube',
	], 'create:polished_rose_quartz', [
		//event.recipes.createCutting('#forge:plates/iron', '#forge:plates/iron').processingTime(30),
		event.recipes.createFilling('create:polished_rose_quartz', ['create:polished_rose_quartz', Fluid.of('minecraft:lava', 200)]),
		event.recipes.createFilling('create:polished_rose_quartz', ['create:polished_rose_quartz', Fluid.of('kubejs:rose_quartz', 100)]),
		event.recipes.createPressing('create:polished_rose_quartz', 'create:polished_rose_quartz').processingTime(30)
	]).transitionalItem('create:polished_rose_quartz')
		.loops(4)




});


	

